A lot of script-driven applications, particularly paid content management systems, encrypt their files to make sure that they will not be reverse engineered or tampered with. The majority of them use an app called ionCube PHP Encoder to do that, so if you obtain a paid script and you intend to install it in a website hosting account, an instrument known as ionCube Loader must be present on the server. Without this, you won't be able to install the script or if you somehow manage to do this, it will not work appropriately for the reason that almost all of the script code will be encrypted to a point where it can't be interpreted. That is why, you need to make sure that ionCube Loader is installed when you get a new web hosting account and you'd like to employ some paid web app. If you get a shared hosting account and the instrument is not present, it cannot be added since the entire server PHP environment will have to be compiled again.

IonCube in Cloud Hosting

IonCube Loader is a part of all the web servers that are a part of our cloud website hosting platform, therefore whatever the Linux cloud hosting that you choose during the signup process, you will be able to enable it from the Hepsia Control Panel. This process is as easy as right-clicking an On/Off button inside the Advanced section, so even if this will be your first hosting account ever, you will not need to do anything complicated. The very same section enables you to choose the PHP version for your account (4, 5.2, 5.3, 5.4, 5.5), and in case you decide to switch to a different version, you just need to activate ionCube Loader for it as well. Since our platform is very flexible, you may even set a different PHP version and another status of ionCube by using a php.ini file in every domain folder. If this is something you wish to do but you don't have much experience, our 24/7 technical support team will be able to assist you in no time.

IonCube in Semi-dedicated Hosting

In case you aquire a semi-dedicated server plan from our company, you'll be able to take advantage of any script-driven application which needs ionCube Loader as the software tool is available on all of the servers which are part of our revolutionary cloud website hosting platform. We also support various releases of PHP, therefore if you switch from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for that particular version with only a click in your Hepsia Control Panel. Our system will remember your decision, and in case you move back to the previous version of PHP, the tool will already be active. For more experienced users, we also provide the option to pick the PHP version and if ionCube will be active or not for a specific domain name without altering the settings for the whole web hosting account. This can be done by putting a php.ini file inside a domain folder with several lines of program code.